Create a new Contact
curl --request POST \
--url https://commerce.driv.ly/api/contacts \
--header 'Content-Type: application/json' \
--data '
{
"id": "cnt_8dk3j2ksl9d2",
"roles": [
"Manager",
"Sales"
],
"lastName": "Smith",
"firstName": "Alice"
}
'import requests
url = "https://commerce.driv.ly/api/contacts"
payload = {
"id": "cnt_8dk3j2ksl9d2",
"roles": ["Manager", "Sales"],
"lastName": "Smith",
"firstName": "Alice"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'cnt_8dk3j2ksl9d2',
roles: ['Manager', 'Sales'],
lastName: 'Smith',
firstName: 'Alice'
})
};
fetch('https://commerce.driv.ly/api/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "cnt_8dk3j2ksl9d2",
"roles": [
"Manager",
"Sales"
],
"lastName": "Smith",
"firstName": "Alice"
},
"success": true
}{
"error": {
"code": 400,
"message": "Missing Required Information"
},
"success": false
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Companies
Create a new Contact
POST
/
contacts
Create a new Contact
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Contact has Last Name
Contact has First Name
Contact is uniquely identified by id
Contact is automated Agent
Contact has Address
Contact has Primary Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Contact has Primary Email
Contact has Email
Contact has Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Contact has Role